Package org.h2gis.functions.spatial.properties

## Class ST_3DPerimeter

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.properties.ST_3DPerimeter

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_3DPerimeter
    extends org.h2gis.api.DeterministicScalarFunction

ST_3DPerimeter returns the 3D perimeter of a polygon or a multipolygon. In the case of a 2D geometry, ST_3DPerimeter returns the same value as ST_Perimeter.

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_3DPerimeter()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static Double` `st3Dperimeter​(org.locationtech.jts.geom.Geometry geometry)` Compute the 3D perimeter of a polygon or a multipolygon.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_3DPerimeter

    public ST_3DPerimeter()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### st3Dperimeter

    public static Double st3Dperimeter​(org.locationtech.jts.geom.Geometry geometry)

Compute the 3D perimeter of a polygon or a multipolygon.

Parameters:
  `geometry` -
Returns: